#################################################
#
# Perlモジュール用のプラグインインターフェイス
#
# ※このテキストは必ずUTF-8で記述すること
# 　扱う文字列は全てUTF-8前提であるとする
#
#################################################

package Atok_plugin;

#################################################
# 宣言

use strict;
use utf8;

#################################################
# 取得処理を実行する
# ・設定した候補を返すことが可能
# 　・最大で100個の候補を返すことができる
# 　・候補には、
# 　　１．表記
# 　　２．コメント
# 　　３．ツールチップ（確定文字列かURLジャンプ文字列）
# 　　を設定できる
# ・何もセットしなかった場合、処理結果は何もないと判断される
# ・引数で渡される情報に含まれる文字列は、全てUTF8フラグが付いている
# ・返す情報に含める文字列は必ずUTF8にする必要がある
# 　（UTF8フラグは付いていなくても問題ない）

sub run_process
{
  my( $a_request_data ) = @_;

  my %result_data;

  my @candidate_array;

  push( @candidate_array , {  'hyoki'            => "候補1" } );

  push( @candidate_array , {  'hyoki'            => "候補2" , 
                              'comment'          => "コメント(候補2)" } );

  push( @candidate_array , {  'hyoki'            => "通知された表記：" . $a_request_data->{ 'composition_string' } , 
                              'comment'          => "コメント(" . $a_request_data->{ 'composition_string' } . ")" , 
                              'alternative'      => "確定文字(" . $a_request_data->{ 'composition_string' } . ")" , 
                              'alternative_type' => 'definite_string' } );

  push( @candidate_array , {  'hyoki'            => "ATOK.comを開く" , 
                              'alternative'      => "http://www.atok.com/" , 
                              'alternative_type' => 'url_jump_string' } );

  $result_data{ 'candidate' } = \@candidate_array;

  return( %result_data );
}

#################################################

1;  # 重要：モジュールは必ず真と解釈される値を返さなければならない
